sc::ExtendedHuckelWfn(3)

NAME
sc::ExtendedHuckelWfn -

SYNOPSIS

Inherits sc::OneBodyWavefunction.

  Public Member Functions
ExtendedHuckelWfn (StateIn &)
ExtendedHuckelWfn (const Ref< KeyVal > &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
double occupation (int irrep, int vectornum)
Returns the occupation.
RefSCMatrix oso_eigenvectors ()
Returns the orthogonal MO (columns) to orthogonal-SO (rows) transformation matrix.
RefDiagSCMatrix eigenvalues ()
Returns the MO basis eigenvalues.
RefSymmSCMatrix density ()
Returns the SO density.
int spin_polarized ()
Return 1 if the alpha density is not equal to the beta density.
int spin_unrestricted ()
Return 1 if the alpha orbitals are not equal to the beta orbitals.
int value_implemented () const
Information about the availability of values, gradients, and hessians.

  Additional Inherited Members

Member Function Documentation

  RefDiagSCMatrix sc::ExtendedHuckelWfn::eigenvalues () [virtual]

Returns the MO basis eigenvalues.

Implements sc::OneBodyWavefunction.

  double sc::ExtendedHuckelWfn::occupation (intirrep, intvectornum) [virtual]

Returns the occupation. The irreducible representation and the vector number within that representation are given as arguments.

Implements sc::OneBodyWavefunction.

  RefSCMatrix sc::ExtendedHuckelWfn::oso_eigenvectors () [virtual]

Returns the orthogonal MO (columns) to orthogonal-SO (rows) transformation matrix.

Implements sc::OneBodyWavefunction.

  void sc::ExtendedHuckelWfn::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::MolecularEnergy.

  int sc::ExtendedHuckelWfn::value_implemented () const [virtual]

Information about the availability of values, gradients, and hessians.

Reimplemented from sc::Function.

Author

Generated automatically by Doxygen for MPQC from the source code.